%-----------------------------------------------------
% Define new TeX commands
%-----------------------------------------------------
\def\ifundefined#1{\expandafter\ifx\csname#1\endcsname\relax}
\def\yes{11}
\def\no{01}
%-----------------------------------------------------
% Defines of new conditionals
%-----------------------------------------------------
%literal_start
\newif\ifstowoptional
\newif\ifdictatepath
%literal_end
\newif\ifnewfeature
\newif\ifmacroinclude
%literal_start
\newif\ifInTable
%literal_end
%::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
% General purpose macros
%::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
\newcommand{\shvar}[1]{\$\{#1\}}
\newcommand{\pipe}{\symbol{124}}
%::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
% These variables are currently set to what LDAS needs. They may be
%   modified for E2E or other projects.
%::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
\newcommand{\HTTPRoot}{http://www.ldas-sw.ligo.caltech.edu/}
\newcommand{\ThirdPartyDescTitle}{Building of 3rd party packages}
\newcommand{\LinuxVersion}{CentOS 5.2}
\newcommand{\SolarisVersion}{Solaris 10}
%::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
% This section deals with variable used by 3rd party packages
%::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
%literal_start
\newboolean{SoftwareTableHasCVS}
%literal_end

\newcommand{\pkgver}{}
\newcommand{\pkgdir}{}
\newcommand{\pkgname}{}
\newcommand{\rpm}{}

\newcommand{\SunOSCVS}{}
\newcommand{\SunOSTar}{}
\newcommand{\RHLinuxCVS}{}
\newcommand{\RHLinuxTar}{}

\newcommand{\tarball}{}

\newcommand{\builddir}{}
%::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
% Macros used by 3rd Party packages
%::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
\newcommand{\vardesc}{%
\noindent
\#\\
\# Please review section \ref{Software} of this document titled\\
\# ``{\bf \ThirdPartyDescTitle}'' on how to correctly\\
\# set the environment variables used here\\
\#\\%
}
\newcommand{\pkginit}{%
\vardesc\\
cd \$\{BUILD\_DIR\}\\
\untar
}
%::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
% Misc
%::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
\input{lib/version.tex}

\newcommand{\untar}{%
gzip -dc \$\{PKG\_DIR\}/\tarball {\symbol{124}} tar xf -\\
cd \builddir
}


